<?php

require('JSON/JSONAPI.php'); // get this file at: https://github.com/alecgorge/jsonapi/raw/master/sdk/php/JSONAPI.php

// $ipserv; // Ip du serveur
// $portserv; //port du plugin (par dÃƒÂ©faut : 20059)
// $loginserv; //nom d'utilisateur
// $passwdserv; //mot de passe
// $salterv; //salt
// $nomserv; //nom du serveur
// $versionserv; //version du serveur

if (is_callable(array($params,"get"))) {
	$nomserv = $params->get( 'nomserv' );
	$versionserv = $params->get( 'versionserv' );
    $align = $params->get( 'align' );
    $taille = $params->get( 'taille' );
    $images = $params->get( 'images' );
	$ipserv = $params->get( 'ipserv' );
    $portserv = $params->get( 'portserv' );
    $loginserv = $params->get( 'loginserv' );
    $passwdserv = $params->get( 'passwdserv' );
	$saltserv = $params->get( 'saltserv' );
	
} else {
	$nomserv = "";
	$versionserv = "";
    $align = "";
    $taille = "";
    $images = "";
	$ipserv = "";
    $portserv = "";
    $loginserv = "";
    $passwdserv = "";
	$saltserv = "";
}

$api = new JSONAPI($ipserv, $portserv, $loginserv, $passwdserv, $saltserv);
$PlayerCount = $api->call("getPlayerCount");
$PlayerLimit = $api->call("getPlayerLimit");
$ServerVersion = $api->call("getServer");
$PlayerNames = $api->call("getPlayerNames");

            $query = array();

        if ($ServerVersion["success"] == '') {
            $query['status'] = 'modules/mod_minecraft/images/status_off_';
        }
        else
        {
        $query['status'] = 'modules/mod_minecraft/images/status_on_';

    }
?>

<br /><?php echo '<div style="font-family: Calibri; font-size: small; text-align:'.$align.';">' ?><?php echo '<img src="'.$query['status'].''.$images.'" width="'.$taille.'" />' ?><br /><br />
<u><b><?php echo JText::_('SERVER_NAME'); ?></b></u> : 
<br /> <?php echo ''.$nomserv.''; ?><br /><br />

<u><b><?php echo JText::_('SERVER_VERSION'); ?></b></u> : 
<br /> <?php echo ''.$versionserv.''; ?><br /><br />

<u><b><?php echo JText::_('PLAYERS'); ?></b></u> : 
<br /><?php print_r($PlayerCount["success"]); 
echo " / ";
print_r($PlayerLimit["success"]); ?>
<br /><br />

<?php if ($ServerVersion["success"] == ''){
echo '<u>';
echo JText::_('NO_PLAYERS');
} else {
echo '<b><u>';
echo JText::_('PLAYERS_ONLINE');
echo '</u></b> : <br />';

foreach ($PlayerNames["success"] as $value)
{ echo"<br /><img src=\"https://minotar.net/avatar/$value/32.png\" alt=\" $value\" title=\" $value\" > $value"; } }
?>